Subject: Re: Packetlost when "tc qdisc del dev eth0 root"

From: Jarek Poplawski <[email-masked]>
Date: Tue, 15 Jan 2008 23:49:57 +0100

On Wed, Jan 16, 2008 at 01:04:59AM +0300, [email-masked] wrote:
> Good night! =)

Good morning! ;)

>
> Sorry... i was wrong...
> I see that problem more serious....
>
> Lets see to scheme
>
> Class 1
> ---qdisc
> ------- 10k classes
> Class 2
> ---qdisc
> ------- 10k classes
>
> All traffic go to class 2... class 1 qdisc not have packets and if we 
> delete it - packets not lost... in theory... lets try delete class 1 qdisc 
> (all childrens delete too)...
> PC freeze on 2-5 seconds... its not forward any traffic at this moment... 
> its great tree lock?
>
> Its normal or code need to more accurate lock?

I don't think it's normal. On the other hand I've never had such
problems... Probably this all isn't optimized for such big operations,
so maybe you should try to do this with some smaller chunks?

Jarek P.